rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
pgpPktSigV3_s Struct Reference
OpenPGP API.

`#include <rpmpgp.h>`

## Data Fields
uint8_t | version
uint8_t | hashlen
uint8_t | sigtype
pgpTime_t | time
pgpKeyID_t | signid
uint8_t | pubkey_algo
uint8_t | hash_algo
uint8_t | signhash16 [2]

## Detailed Description

5.2.2. Version 3 Signature Packet Format

The body of a version 3 Signature Packet contains:

- One-octet version number (3).
- One-octet length of following hashed material. MUST be 5.
  - One-octet signature type.
  - Four-octet creation time.
- Eight-octet key ID of signer.
- One-octet public key algorithm.
- One-octet hash algorithm.
- Two-octet field holding left 16 bits of signed hash value.
- One or more multi-precision integers comprising the signature.

Algorithm Specific Fields for RSA signatures:

- multiprecision integer (MPI) of RSA signature value m**d.

Algorithm Specific Fields for DSA and EdDSA signatures:

- MPI of DSA value r.
- MPI of DSA value s.

## Field Documentation

## ◆ hash_algo

uint8_t pgpPktSigV3_s::hash_algo

hash algorithm.

## ◆ hashlen

uint8_t pgpPktSigV3_s::hashlen

length of following hashed material. MUST be 5.

## ◆ pubkey_algo

uint8_t pgpPktSigV3_s::pubkey_algo

public key algorithm.

## ◆ signhash16

uint8_t pgpPktSigV3_s::signhash16[2]

left 16 bits of signed hash value.

## ◆ signid

pgpKeyID_t pgpPktSigV3_s::signid

key ID of signer.

## ◆ sigtype

uint8_t pgpPktSigV3_s::sigtype

signature type.

## ◆ time

pgpTime_t pgpPktSigV3_s::time

4 byte creation time.

## ◆ version

uint8_t pgpPktSigV3_s::version

version number (3).

The documentation for this struct was generated from the following file:

- /tmp/rpm-20240229-5467-git1p2/rpm-4.19.1.1/include/rpm/rpmpgp.h